Skip to main content
Export Job Skill market alignment.
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/job_architecture/export/jobs/market_alignment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "limit": 10,
  "starting_after": "4cbdbabe-5644-4423-8157-520f8a2f429a",
  "filters": [
    {
      "filter": "last_updated",
      "value": "2022-01-01",
      "operator": "lt"
    },
    {
      "filter": "job_family_id_is_in_list",
      "job_family_ids": [
        "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
        "62d2c013-ab77-410e-b5fb-2f96eed9c1db"
      ]
    }
  ]
}
'
{ "has_next": true, "records": [ { "job_id": "b003505-eb84-42dc-a79f-5e7b1fe897b7", "alignment_scores": [ { "peer_group": "B2B", "job_to_peer_score": 0.85, "peer_to_job_score": 0.9 }, { "peer_group": "B2C", "job_to_peer_score": 0.95, "peer_to_job_score": 0.8 } ] } ], "next_starting_after": "61a6e076-d780-11ec-9d64-0242ac120002" }

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

response_format
enum<string>
default:simple

If set to explained, the response will include an explanation of the match.

Available options:
simple,
explained
Example:

"explained"

vocab_language
enum<string>
default:en_uk

The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk. IETF BCP 47 language tags (e.g. fr-FR, zh-CN) are also accepted and mapped to their internal equivalents.

Vendor-specific availability: Only the following languages are available for the default TechWolf vocabulary: en, en_uk, en_us, de, fr, nl. The additional languages (es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no) are only available when the request is scoped to the workday vendor (via external_vendor=workday) and the tenant's Workday vocabulary includes them. Use GET /taxonomy/skills/languages to discover the exact set of languages available for a given vendor in your tenant.

Available options:
en,
en_uk,
en_us,
de,
fr,
nl,
es,
fr_ca,
it,
ja,
ko,
pt_br,
zh_cn,
zh_tw,
sv,
fi,
da,
no

Body

application/json
limit
integer
required

The number of Jobs to show on a single page.

Required range: 1 <= x <= 100
Example:

10

starting_after
string

The external_id of the Job to continue looking from.

Maximum string length: 100
Example:

"4cbdbabe-5644-4423-8157-520f8a2f429a"

filters
(is_active · object | last_updated · object | job_family_id_is_in_list · object | external_id_is_in_list · object)[]

A set of filters used to apply on the exported Job Skill Profiles.

Example:
[
  {
    "filter": "last_updated",
    "value": "2022-01-01",
    "operator": "lt"
  },
  {
    "filter": "job_family_id_is_in_list",
    "job_family_ids": [
      "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
      "62d2c013-ab77-410e-b5fb-2f96eed9c1db"
    ]
  }
]

Response

OK

has_next
boolean
required

True when there is more data after this page.

Example:

true

records
Simple · object[]
required

A list containing the requested data for each entity, limited by the limit parameter.

next_starting_after
string

The next starting_after value for pagination.

Maximum string length: 100
Example:

"61a6e076-d780-11ec-9d64-0242ac120002"